Bug 114916 - kernel 2.6.1 and acpi -> no useful battery stats
kernel 2.6.1 and acpi -> no useful battery stats
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: shaohua li
:
Depends On:
Blocks: FCMETA_ACPI
  Show dependency treegraph
 
Reported: 2004-02-04 09:23 EST by anthony baxter
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-04 15:18:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description anthony baxter 2004-02-04 09:23:18 EST
Description of problem:

I dropped kernel 2.6.1-65 onto my Dell Inspiron 5150, and 
/proc/acpi/battery/BAT0 is not producing any useful information.
Under 2.4.23 and 2.4.24 (from Planet CCRMA), I was getting
useful battery stats.

bonanza% cat /proc/acpi/battery/BAT0/state                           
        
present:                 yes
capacity state:          ok
charging state:          unknown
present rate:            0 mW
remaining capacity:      0 mWh
present voltage:         0 mV
bonanza% cat /proc/acpi/battery/BAT0/info                            
       
present:                 yes
design capacity:         0 mWh
last full capacity:      0 mWh
battery technology:      non-rechargeable
design voltage:          0 mV
design capacity warning: 0 mWh
design capacity low:     0 mWh
capacity granularity 1:  0 mWh
capacity granularity 2:  0 mWh
model number:            
serial number:           
battery type:            
OEM info:                

bonanza% dmesg | grep -i acpi                                        
        
ACPI: RSDP (v000 DELL                                      ) @ 0x000fdea0
ACPI: RSDT (v001 DELL    CPi R   0x27d30b03 ASL  0x00000061) @ 0x1fff0000
ACPI: FADT (v001 DELL    CPi R   0x27d30b03 ASL  0x00000061) @ 0x1fff0400
ACPI: MADT (v001 DELL    CPi R   0x27d30b03 ASL  0x00000047) @ 0x1fff0c00
ACPI: BOOT (v001 DELL    CPi R   0x27d30b03 ASL  0x00000061) @ 0x1fff07c0
ACPI: DSDT (v001 INT430 SYSFexxx 0x00001001 MSFT 0x0100000e) @ 0x00000000
ACPI: Subsystem revision 20040116
ACPI: IRQ9 SCI: Edge set to Level Trigger.
ACPI: Interpreter enabled
ACPI: Using PIC for interrupt routing
ACPI: PCI Root Bridge [PCI0] (00:00)
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0._PRT]
ACPI: PCI Interrupt Link [LNKA] (IRQs 9 10 *11)
ACPI: PCI Interrupt Link [LNKB] (IRQs 5 7)
ACPI: PCI Interrupt Link [LNKC] (IRQs 9 10 *11)
ACPI: PCI Interrupt Link [LNKD] (IRQs 5 7 9 10 *11)
ACPI: PCI Interrupt Link [LNKE] (IRQs 3 4 5 6 7 9 10 *11 12 14 15)
ACPI: PCI Interrupt Link [LNKH] (IRQs 3 4 5 6 7 9 10 *11 12 14 15)
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.AGP_._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.PCIE._PRT]
ACPI: PCI Interrupt Link [LNKA] enabled at IRQ 11
ACPI: PCI Interrupt Link [LNKD] enabled at IRQ 11
ACPI: PCI Interrupt Link [LNKC] enabled at IRQ 11
ACPI: PCI Interrupt Link [LNKH] enabled at IRQ 11
ACPI: PCI Interrupt Link [LNKB] enabled at IRQ 11
ACPI: PCI Interrupt Link [LNKE] enabled at IRQ 11
PCI: Using ACPI for IRQ routing
PCI: if you experience problems, try using option 'pci=noacpi' or even
'acpi=off'
ACPI: (supports S0 S1 S3 S4 S4bios S5)
ACPI: AC Adapter [AC] (on-line)
ACPI: Battery Slot [BAT0] (battery present)
ACPI: Lid Switch [LID]
ACPI: Power Button (CM) [PBTN]
ACPI: Sleep Button (CM) [SBTN]
ACPI: Processor [CPU0] (supports C1, 8 throttling states)
ACPI: Thermal Zone [THM] (25 C)


Version-Release number of selected component (if applicable):

kernel 2.6.1-65



How reproducible:

Always - boot, examine battery stats.
Comment 1 anthony baxter 2004-02-04 10:01:12 EST
FWIW, the battery stats are about the only power mgmt stuff that
worked at all under 2.4.23 - suspend was completely non-functional,
but I suspect that was because this machine has a GeForce 5200 Go, and
the closed-source nvidia drivers don't do ACPI...
Comment 2 shaohua li 2004-03-14 21:09:51 EST
please try latest ACPI patch. it resolved some battery issues on dell 
laptops. if it's not lucky, please attach your DSDT.
Comment 3 Len Brown 2004-03-24 04:43:29 EST
Please try an updated kernel, there was a regression in this area 
that was fixed recently.

thanks,
-Len
Comment 4 Dave Jones 2005-08-04 15:18:41 EDT
closing due to inactivity.

Note You need to log in before you can comment on or make changes to this bug.